import Card from '@/components/Card';
import Popup from '@/components/Popup';
import { useIncidentStore, useMarkerStore } from '@/store';
import { computed, defineComponent, ref } from 'vue-demi';

export default defineComponent({
  name: 'LiveVideoCard',
  setup() {
    const store = useIncidentStore();
    const markerStore = useMarkerStore();

    return () => (
      <>
        {markerStore.livevideos.map((item, key) => (
          <Popup key={item.locations || key}>
            <video
              controls
              src="https://www.w3school.com.cn/i/movie.ogg"></video>
          </Popup>
        ))}
      </>
    );
  },
});
